---
# The unit of your grades.
# This can also be specified
# on a per grade basis on the command line
unit: Points

# List of the possible grade groups
#
# name:
# This is the name used below
#
# weight:
# This is the weight applied to all grades form the group
# when calculation the average (see https://en.wikipedia.org//wiki/Weighted_arithmetic_mean for a explanation).
grade_groups:
  - name: major
    weight: '2'
  - name: minor
    weight: '1'

# List of the types of grades.
#
# name:
# This is the name used on the command line.
# NB: The name is case sensitive.
#
# group:
# This is used when calculating the average, to group multiple types together.
# You might want to use separate types to keep grades ordered,
# but calculate their average as one.
# The value is one of the names you declared in the grade_group section.
grade_types:
  - name: graded-homework
    group: minor
  - name: exam
    group: major
  - name: oral-mark
    group: minor

# List of the types of Classes
#
# name:
# The name used below
class_types:
  - name: subsidiary-subject
  - name: intensified-course

# List of classes
#
# name:
# The name used on the cli
#
# class_type:
# The name of the class type you declared above
classes:
  - name: Math
    class_type: intensified-course
  - name: English
    class_type: subsidiary-subject
